%define name  		bluefish
%define version		1.0.5
%define release 	1.2006mcnl
%define section		Internet/Web Editors

Summary:	A GTK2 web development application for experienced users
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
URL:		http://bluefish.openoffice.nl
License:	GPL
Group:          Development/Other
Packager: 	Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Vendor:		Mandrivaclub.nl
Requires:	gtk2 >= 2.0.6, pcre >= 3.9, aspell >= 0.50, gnome-vfs2 => 2.4.1
Requires:       shared-mime-info >= 0.15
BuildRequires:  gtk2-devel >= 2.0.6, pcre-devel >= 3.9, gnome-vfs2-devel >= 2.4.1
BuildRequires:  aspell-devel >= 0.50, desktop-file-utils, gettext

BuildRoot: %{_tmppath}/%{name}-%{version}
#Patch0:	bluefish_desktop_icon.patch

%description
Bluefish is a GTK+ HTML editor for the experienced web designer or
programmer. It is not finished yet, but already a very powerful site
creating environment. Bluefish has extended support for programming
dynamic and interactive websites, there is for example a lot of PHP
support.

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p0

%build
%configure --disable-update-databases
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_iconsdir}
install -m644 inline_images/bluefish_icon1.png %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="/usr/bin/%{name}" needs="X11" \
icon="%{name}.png" section="%{section}" \
title="Bluefish" longtitle="%{summary}"
EOF

#icons
%define  nameicon inline_images/%{name}_icon1.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %{name}
%clean
%{__rm} -rf %{buildroot}

%post
%{update_menus}
 
%postun
%{clean_menus} 

%files -f %{name}.lang
%defattr(-,root, root)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/bluefish
%{_datadir}/bluefish
%{_datadir}/applications/*.desktop
%{_datadir}/application-registry/*
%{_datadir}/mime/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*.png
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/bluefish.1.bz2

%changelog
* Thu Feb 09 2006 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 1.0.5-1.2006mcnl
- 1.0.5

* Wed Oct 19 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 1.0.4-1.2006mcnl
- rebuild for Mandriva Linux 2006

* Sun Sep 04 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 1.0.4-1.102mcnl
- 1.0.4

* Tue Jul 05 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 1.0.2-1.102mcnl
- 1.0.2

* Thu Jun 02 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 1.0.1-1.102mcnl
- 1.0.1

* Thu May 19 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 1.0-1.102mcnl
- rebuild for Mandriva Linux LE 2005
- changed the .spec-file

* Wed Jan 12 2005 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for version 1.0

* Fri Jan 07 2005 Matthias Haase <matthias_haase@bennewitz.com>
- Automatic build - snapshot of 2005-01-06

* Tue Feb 18 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for version 0.9
- Added Makefile patch to support DESTDIR.
- Thanks to Matthias Saou <matthias.saou@est.une.marmotte.net> for the patch
